<?php
/*
Plugin Name: Ada Thenkoodu
Version: 0.0.1
Plugin URI: http://1uthavi.adadaa.com/ada-thenkoodu/
Author: CAPitalZ
Author URI: http://adadaa.com/
Description: Ada Thenkoodu allows you to embed the codes to aggregate comments of your posts in <a href="http://www.thenkoodu.com/" target="_blank" alt="Website">Thenkoodu</a>.  This plugin helps you to add Thenkoodu comment code to your site, with out editing any of the template pages. By default, this plugin adds the code only to the single post pages and not to the homepage.
*/

/*--------------------------------------------------------------------------------------------------
 Date           Ver                Name                     Description
 ======================================================================
 Apr 20, 2007      0.0.1                CAPitalZ        Initial version.  Inspired by Thamizmanam WP Plugin by Kannan Ramanathan 
        
--------------------------------------------------------------------------------------------------*/

/*  Copyright 2007 Adadaa

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

//--------------------------------------------------------------------------------------------------
// Plugin release date and version
//
/*


global $plugin_date;
global $plugin_version;
global $plugin_header;
global $thenkoodu_header;

$plugin_date = "21/03/2007"; // dd/mm/yyyy
$plugin_version = "0.9";

//--------------------------------------------------------------------------------------------------
// Headers for Pathivu toolbar (for both Thenkoodu.com and Blogdesam.com)
//
$plugin_header = "<!-- Ada Thenkoodu v".$plugin_version." by Kannan Ramanathan (mailto:kannan[dot]ramanathan[AT]jumbledthoughts[dot]com)-->\n";
$thenkoodu_header = "<!-- thenkoodu.com toolbar code Part 1, starts. Pathivu toolbar (c) 2005 thenkoodu.com -->
                        <script language=\"javascript\" type=\"text/javascript\" src=\"http://services.thenkoodu.com/jscript.php\"></script>
                        <!-- thenkoodu.com toolbar code Part 1, ends. Pathivu toolbar (c) 2005 thenkoodu.com -->\n";

//$blogdesam_header =   "\n<!-- blogdesam.com toolbar code Part 1, starts. Pathivu toolbar (c) 2005 thenkoodu.com -->\n
//                        <script language=\"javascript\" type=\"text/javascript\" src=\"http://services.blogdesam.com/jscript.php\"></script>\n
//                        <!-- blogdesam.com toolbar code Part 1, ends. Pathivu toolbar (c) 2005 thenkoodu.com -->\n";
*/

if (!class_exists('tk_initialize')) {
class tk_initialize
{

protected $plugin_date = "20/04/2007"; // dd/mm/yyyy
protected $plugin_version = "0.0.1";
protected $plugin_header;
/*protected $thenkoodu_header = "<!-- thenkoodu.com toolbar code Part 1, starts. Pathivu toolbar (c) 2005 thenkoodu.com -->
                        <script language=\"javascript\" type=\"text/javascript\" src=\"http://services.thenkoodu.com/jscript.php\"></script>
                        <!-- thenkoodu.com toolbar code Part 1, ends. Pathivu toolbar (c) 2005 thenkoodu.com -->\n";
*/
protected $plugin_path = "/wp-content/plugins/tkoodu";
//protected $plugin_path = dirname(__FILE__);

/*
$blogdesam_header = "\n<!-- blogdesam.com toolbar code Part 1, starts. Pathivu toolbar (c) 2005 thenkoodu.com -->\n<script language=\"javascript\" type=\"text/javascript\" src=\"http://services.blogdesam.com/jscript.php\"></script>\n<!-- blogdesam.com toolbar code Part 1, ends. Pathivu toolbar (c) 2005 thenkoodu.com -->\n";
*/

/*
protected function __get($name) {
	return $this->$name;
}
protected function __set($name, $value) {
	$this->$name = $value;
}
*/

//-------------------------------------------------------------------------------------------------- 
// Hook in to the WP filters/actions
//
function tb_add_hooks()        
{

$this->plugin_header = "<!-- Ada Thenkoodu v".$this->plugin_version." by Adadaa (mailto:uthavi[AT]adadaa[dot]com)-->\n";
//	$this->__set("plugin_header", "<!-- Ada Thenkoodu v".$this->plugin_version." by Kannan Ramanathan (mailto:kannan[dot]ramanathan[AT]jumbledthoughts[dot]com)-->\n");
	
        //// Adds the script to the header
        //add_action('wp_head', array(&$this, 'tb_include_header'));                        
        // Set a hook for showing the cfg page
        add_action('admin_menu', array(&$this, 'tb_add_cfg_page'));


        // Display toolbar in the_content
        add_filter('the_content', array(&$this, 'tb_show_toolbar'));
        //// Display toolbar in the_excerpt
        //add_filter('the_excerpt', array(&$this, 'tb_show_toolbar'));        
}

//--------------------------------------------------------------------------------------------------
// Emit SCRIPT_INCLUDE during the <head> phase
//
function tb_include_header()
{       
        //global $plugin_version;
        //global $plugin_header, $thenkoodu_header, $blogdesam_header;

        print $this->plugin_header;

        // Print the headers depending on user selected option
        if ((get_option("tbToolbar_optionThenkoodu") == 1))
        {
                print $this->thenkoodu_header;
        }
}

//--------------------------------------------------------------------------------------------------
// Emit SCRIPT_CODE 
//
function tb_include_toolbar_code()
{                                  
        $toolbar_code = '';
        if (get_option("tbToolbar_optionThenkoodu") == 1)
        {
                $thenkooduURL = "http://ping.thenkoodu.com/ping_comments.php";
                //$imagefile = get_option("tbToolbar_plugin_imagename");
                /*if ($imagefile == "")
                {
                        $imagefile = get_bloginfo('wpurl') . $this->plugin_path . '/images/default.png';
                }*/

                global $wp_query;
                $post = $wp_query->post;

                //$date=(mysql2date('m/d/Y',$post->post_date));
                $permalink = (get_permalink($post->ID));
                $cmt=$post->comment_count;
                $blogurl = (get_bloginfo('wpurl'));
                //$photo= ($imagefile);
                $srcURL = $thenkooduURL."?posturl=".($permalink)."&amp;cmt=".$cmt."&amp;blogurl=".($blogurl);

                // Form the tool bar code
                $toolbar_code .= "\n<!--thenkoodu-comments-ping-code-->\n";
                $toolbar_code .= "<script language=\"javascript\" type=\"text/javascript\" src=\"".$srcURL."\">\n";
                $toolbar_code .= "</script>\n";
                $toolbar_code .= "<!--/thenkoodu-comments-ping-code-->\n";
        }
        /*if (get_option("tbToolbar_optionBlogdesam") == 1)
        {
                $blogdesamURL = "http://services.blogdesam.com/toolbar.php";
                $imagefile = get_option("tbToolbar_plugin_imagename");
                if ($imagefile == "")
                {
                        $imagefile = get_bloginfo('wpurl') . $this->plugin_path . '/images/default.png';
                }

                global $wp_query;
                $post = $wp_query->post;

                $date=(mysql2date('m/d/Y',$post->post_date));
                $permalink = (get_permalink($post->ID));
                $cmt=$post->comment_count;
                $blogurl = (get_bloginfo('wpurl'));
                $photo= ($imagefile);
                $srcURL = $blogdesamURL."?date=".$date."&amp;posturl=".($permalink)."&amp;cmt=".$cmt."&amp;blogurl=".($blogurl)."&amp;photo=".($photo);

                // Form the tool bar code
                $toolbar_code .= "\n<!-- blogdesam.com toolbar code Part 2, starts. Pathivu toolbar v1.1 (c)2005 thenkoodu.com -->\n";
                $toolbar_code .= "<script language=\"javascript\" type=\"text/javascript\" src=\"".$srcURL."\">\n";
                $toolbar_code .= "</script>\n";
                $toolbar_code .= "<!-- blogdesam.com toolbar code Part 2, ends. Pathivu toolbar (c)2005 thenkoodu.com -->\n";
        }
		*/
        return ($toolbar_code);
}   

//--------------------------------------------------------------------------------------------------
// Callback function during the_content and the_excerpt filter phases
//
function tb_show_toolbar($content)
{                   
        if (is_single())
        {
				$toolbar_code = $this->tb_include_toolbar_code();
					
                return($toolbar_code.$content);
        }
        else
        {
                return $content;
        }
}

//--------------------------------------------------------------------------------------------------
// Callback for admin_menu action hook
// 
function tb_add_cfg_page()
{
        if (function_exists('add_options_page'))
        {
                add_options_page('Ada Thenkoodu', 'Thenkoodu', 8, basename(__FILE__), array(&$this, 'tb_options_page'));
        }
}

//--------------------------------------------------------------------------------------------------
// CFG page function
//
function tb_options_page()
{
        //global $plugin_version;
        if(isset($_POST["action"]))
        {
                if($_POST["action"] == 'update_options')
                {
                        // Save the settings
                        //update_option("tbToolbar_plugin_imagename",$_POST["imageName"]);
                        update_option("tbToolbar_optionThenkoodu", $_POST["option_thenkoodu"]);
                        //update_option("tbToolbar_optionBlogdesam", $_POST["option_blogdesam"]);

                        // Print a nice message to the user
                        echo "<div id=\"message\" class=\"updated fade\"><p><strong>".__('Options saved.')."</strong></p></div>";
                }
        }

        //$msgInfo = "This plugin (v".$this->plugin_version.") helps you to add <a target=\"_blank\" href=\"http://www.thenkoodu.com\" alt=\"Website\">Thenkoodu</a> comment code to your site, with out editing any of the template pages. By default, this plugin adds the code only to the single post pages and not to the homepage.";
        //$msgInfo .= "Please contact the <a target=\"_blank\" href=\"http://kannan.jumbledthoughts.com/index.php/about/contact-me/\" alt=\"Contact the author\">author</a> for any info on bugs/errors or general info.";

        echo "<div class=\"wrap\"><h2>Ada Thenkoodu</h2><form method=\"post\">";
        echo "<p>".$msgInfo."</p>";
        echo "<fieldset class=\"options\"><legend>Options</legend>";
        //echo "<table class=\"editform optiontable\"><tr valign=\"top\"><th scope=\"row\">Image path: </th><td>";
		echo "<table class=\"editform optiontable\">";
        //echo "<input type=\"text\" class=\"code\" size=\"40\" name=\"imageName\" value=\"".get_option("tbToolbar_plugin_imagename")."\"/>";
        //echo "<br />You should enter a fully qualified URL here, like <div class=\"code\">".get_bloginfo("wpurl")."/wp-content/uploads/myphoto.png</div></td></tr>";
        echo "<tr valign=\"top\"><th scope=\"row\">Include code for: </th><td>";
        echo "<label for=\"option_thenkoodu\"><input name=\"option_thenkoodu\" type=\"checkbox\" id=\"option_thenkoodu\" value=\"1\"";checked('1', get_option('tbToolbar_optionThenkoodu'));
        echo "/>  Thenkoodu.com</label><br />";
        //echo "<label for=\"option_blogdesam\"><input name=\"option_blogdesam\" type=\"checkbox\" id=\"option_blogdesam\" value=\"1\"";checked('1', get_option('tbToolbar_optionBlogdesam'));
        //echo "/>  Blogdesam.com</label>";
        echo "</td></tr></table></fieldset>";
        echo "<input type=\"hidden\" name=\"action\" value=\"update_options\" /><p class=\"submit\"><input type=\"submit\" name=\"update_options\" value=\"";
        echo "Update options &raquo;\"/></p>";
		
		//CAPitalZ{
		echo "<p>Please note:  Your comments will only be aggregated after you have registered and approved by <a target=\"_blank\" href=\"http://www.thenkoodu.com\" alt=\"Website\">Thenkoodu</a>.  In addition, if your Post Slug is in Tamil characters your comments will not be aggregated.";
		//CAPitalZ}
		
        echo "</form></div><div id=\"footer\"><p class=\"logo\"><img src=\"http://www.thenkoodu.com/images/logo5-thenkoodu.gif\" alt=\"Thenkoodu\" /></p></div>";
}

//--------------------------------------------------------------------------------------------------
// Our main() function
//
function tk_initialize()
{
        // Setup hooks
        	$this->tb_add_hooks();  
        
}        

}	//end class
}   //end if
$thmzmnm = new tk_initialize();

//// Start our program
//tb_initialize();
